Public Member Functions | Public Attributes | List of all members
libebook::XMLTreeNode::Configuration Struct Reference

`#include <XMLTreeNode.h>`

## Public Member Functions
| Configuration (bool caseless_=false)

## Public Attributes
bool | caseless
std::deque< QName > | classes
std::deque< QName > | ids
std::deque< QName > | langs
std::deque< LinkId_t > | links
| A list of element / attribute pairs representing a "link".

## Constructor & Destructor Documentation

## ◆ Configuration()

libebook::XMLTreeNode::Configuration::Configuration | ( | bool | caseless_ = false | ) |
| explicit

## Member Data Documentation

## ◆ caseless

bool libebook::XMLTreeNode::Configuration::caseless

## ◆ classes

std::deque<QName> libebook::XMLTreeNode::Configuration::classes

## ◆ ids

std::deque<QName> libebook::XMLTreeNode::Configuration::ids

## ◆ langs

std::deque<QName> libebook::XMLTreeNode::Configuration::langs

## ◆ links

std::deque<LinkId_t> libebook::XMLTreeNode::Configuration::links

A list of element / attribute pairs representing a "link".

Either element or attribute name can be empty, matching anything. E.g., xlink:href attribute is always a link.

The documentation for this struct was generated from the following files:

- XMLTreeNode.h
- XMLTreeNode.cpp